- [HTTP request](https://developers.google.com/chrome/management/reference/rest/v1/customers.telemetry.events/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/chrome/management/reference/rest/v1/customers.telemetry.events/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/chrome/management/reference/rest/v1/customers.telemetry.events/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/chrome/management/reference/rest/v1/customers.telemetry.events/list#body.request_body)
- [Response body](https://developers.google.com/chrome/management/reference/rest/v1/customers.telemetry.events/list#body.response_body)
  - [JSON representation](https://developers.google.com/chrome/management/reference/rest/v1/customers.telemetry.events/list#body.ListTelemetryEventsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/chrome/management/reference/rest/v1/customers.telemetry.events/list#body.aspect)
- [Try it!](https://developers.google.com/chrome/management/reference/rest/v1/customers.telemetry.events/list#try-it)

List telemetry events.

### HTTP request

`GET https://chromemanagement.googleapis.com/v1/{parent=customers/*}/telemetry/events`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Customer id or "my_customer" to use the customer associated to the account making the request. |

### Query parameters

| Parameters ||
|---|---|
| `filter` | `string` Optional. Only include resources that match the filter. Although this parameter is currently optional, this parameter will be required- please specify at least 1 event type. Supported filter fields: - deviceId - userId - deviceOrgUnitId - userOrgUnitId - timestamp - eventType The "timestamp" filter accepts either the Unix Epoch milliseconds format or the RFC3339 UTC "Zulu" format with nanosecond resolution and up to nine fractional digits. Both formats should be surrounded by simple double quotes. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z", "1679283943823". <br /> |
| `readMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. Read mask to specify which fields to return. Although currently required, this field will become optional, while the filter parameter with an event type will be come required. Supported readMask paths are: - device - user - audioSevereUnderrunEvent - usbPeripheralsEvent - httpsLatencyChangeEvent - networkStateChangeEvent - wifiSignalStrengthEvent - vpnConnectionStateChangeEvent - appInstallEvent - appUninstallEvent - appLaunchEvent - osCrashEvent - externalDisplaysEvent <br /> This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |
| `pageSize` | `integer` Optional. Maximum number of results to return. Default value is 100. Maximum value is 1000. |
| `pageToken` | `string` Optional. Token to specify next page in the list. |

### Request body

The request body must be empty.

### Response body

Response message for listing telemetry events for a customer.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "telemetryEvents": [ { object (`https://developers.google.com/chrome/management/reference/rest/v1/customers.telemetry.events#TelemetryEvent`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `telemetryEvents[]` | ``object (`https://developers.google.com/chrome/management/reference/rest/v1/customers.telemetry.events#TelemetryEvent`)`` Telemetry events returned in the response. |
| `nextPageToken` | `string` Token to specify next page in the list. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/chrome.management.telemetry.readonly`